<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [default]="navbarMode" [checkLogin]="checkLogin"></navbar-app>

<header>
  <div class="header-filter"></div>
  <div class="header-caption">
    <h2 data-aos="zoom-in" data-aos-duration="500">انجمن های علمی</h2>
  </div>
</header>

<div class="body">
  <div class="sidebar" data-aos="fade-left" data-aos-duration="5000">
    <div class="filters">
      <form [formGroup]="filterForm" dir="rtl" (ngSubmit)="doFilter()">
        <div class="search">
          <input type="text" formControlName="search" placeholder="جستجو ..." />
        </div>
        <div class="border"></div>

        <!-- province -->
        <div class="province">
          <input
            type="text"
            formControlName="province"
            name="provinceList"
            class="select-input"
            placeholder="انتخاب استان"
            autocomplete="off"
            (ngModelChange)="filterProvince()"
          />
          <ul class="dropdown" id="provinceList">
            <li
              *ngFor="let province of filteredProvinces"
              (click)="setProvinceValue(province)"
            >
              {{ province.name }}
            </li>
          </ul>
        </div>

        <!-- city -->
        <div class="city">
          <input
            type="text"
            formControlName="city"
            name="cityList"
            class="select-input"
            placeholder="انتخاب شهر"
            autocomplete="off"
            (ngModelChange)="filterCity()"
          />
          <ul class="dropdown" id="cityList">
            <li
              *ngFor="let city of filteredCities"
              (click)="setCityValue(city)"
            >
              {{ city.name }}
            </li>
          </ul>
        </div>

        <!-- university -->
        <div class="university">
          <input
            type="text"
            formControlName="university"
            name="universityList"
            class="select-input"
            placeholder="انتخاب دانشگاه"
            autocomplete="off"
            (ngModelChange)="filterUniversity()"
          />
          <ul class="dropdown" id="universityList">
            <li
              *ngFor="let university of filteredUniversities"
              (click)="setUniversityValue(university)"
            >
              {{ university.name }}
            </li>
          </ul>
        </div>

        <!-- field -->
        <div class="field">
          <input
            type="text"
            formControlName="field"
            name="fieldList"
            class="select-input"
            placeholder="انتخاب رشته"
            autocomplete="off"
            (ngModelChange)="filterField()"
          />
          <ul class="dropdown" id="fieldList">
            <li
              *ngFor="let field of filteredFields"
              (click)="setFieldValue(field)"
            >
              {{ field.name }}
            </li>
          </ul>
        </div>

        <button class="search-btn">
          <p>
            <span>
              <fa-icon [icon]="faSearch"></fa-icon>
            </span>
            جستجو
          </p>
        </button>
      </form>
    </div>
  </div>
  <div class="main">
    <div class="middle-box">
      <div class="tab-box" id="tab-box" dir="rtl">
        <div
          class="tab active"
          (click)="changeTab(1)"
          data-aos="zoom-in"
          data-aos-duration="500"
        >
          انجمن های علمی دانشگاهی
        </div>
        <div
          class="tab"
          (click)="changeTab(2)"
          data-aos="zoom-in"
          data-aos-duration="500"
        >
          انجمن های کشوری
        </div>
        <div
          class="tab"
          (click)="changeTab(3)"
          data-aos="zoom-in"
          data-aos-duration="500"
        >
          انجمن های فرهنگی هنری
        </div>
      </div>
      <!-- union list -->
      <div class="item-box" dir="rtl">
        <!-- loader -->
        <div class="list-loader" *ngIf="showListLoader">
          <app-loader></app-loader>
        </div>

        <!-- union -->
        <div class="item" *ngFor="let union of unionList">
          <a routerLink="/union/{{ union.id }}">
            <community-item-app [data]="union"></community-item-app>
          </a>
        </div>

        <!-- 404 -->
        <div *ngIf="unionList.length == 0" class="not-found">
          <img src="../../assets/images/icon png/404.png" alt="" />
          <p>
            موردی یافت نشد !
          </p>
        </div>

        <!-- pager -->
        <div
          *ngIf="unionList.length !== 0"
          class="bottom-pager"
          data-aos="zoom-in"
          data-aos-duration="500"
        >
          <span class="right" title="قبلی" (click)="goPrevious()">
            <fa-icon [icon]="faAngleRight"></fa-icon>
          </span>
          <span class="page-number"> {{ pageNumber }} </span>
          <span class="left" title="بعدی" (click)="goNext()">
            <fa-icon [icon]="faAngleLeft"></fa-icon>
          </span>
        </div>
      </div>
    </div>
  </div>
</div>

<footer-app [checkLogin]="checkLogin"></footer-app>
